package _VisualDVM.Passes.All;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.Common.Test.Test;
import _VisualDVM.TestingSystem.DVM.DVMTasks.DVMRunTask;
public class DownloadTaskTest extends DownloadTest {
    @Override
    public String getIconPath() {
        return "/icons/OpenProject.png";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        target = null;
        if (Global.mainModule.getAccount().CheckRegistered(Log) && Global.mainModule.Check(Log, Current.DVMRunTask)) {
            DVMRunTask task = Global.mainModule.getDVMRunTask();
            //-- квазиобъект, нам от него нужно только имя.
            target = new Test();
            target.id = task.test_id;
            return true;
        }
        return false;
    }
}
